# This workflow will build a Java project with Maven
# For more information see: https://help.github.com/actions/language-and-framework-guides/building-and-testing-java-with-maven

name: CI

on:
  push:
    branches: [ master ]
  pull_request:
    branches: [ master ]
defaults:
  run:
    shell: bash
jobs:
  build:

    runs-on: ubuntu-latest
    strategy:
      matrix:
        # test against latest update of each major Java version, as well as specific updates of LTS versions:
        java: [8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18]

    steps:
    - uses: actions/checkout@v2
    - name: Setup java
      uses: actions/setup-java@v1
      with:
        java-version: ${{ matrix.java }}
    - name: Build with Maven
      run: mvn test
    - name: CodeCov
      run: bash <(curl -s https://codecov.io/bash) -cF java
